Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2021-11-04 03:25:08

0001 #!/bin/bash
0002 function die { echo $1: status $2; exit $2; }
0003 REMOTE="/store/group/phys_tracking/cmssw_unittests/"
0004 DQMFILE="DQM_V0001_R000000001__RelValTTbar_14TeV__CMSSW_12_1_0_pre5-121X_mcRun3_2021_realistic_v15-v1__DQMIO.root"
0005 COMMMAND=`xrdfs cms-xrd-global.cern.ch locate ${REMOTE}${DQMFILE}`
0006 STATUS=$?
0007 echo "xrdfs command status = "$STATUS
0008 if [ $STATUS -eq 0 ]; then
0009     echo "Using file ${DQMFILE}. Running in ${LOCAL_TEST_DIR}."
0010     xrdcp root://cms-xrd-global.cern.ch/${REMOTE}${DQMFILE} ${LOCAL_TEST_DIR}
0011     (makeTrackValidationPlots.py ${LOCAL_TEST_DIR}/${DQMFILE}) || die 'failed running makeTrackValidationPlots.py $DQMFILE' $?
0012     rm -fr ${LOCAL_TEST_DIR}/${DQMFILE}
0013 else 
0014   die "SKIPPING test, file ${DQMFILE} not found" 0
0015 fi